/*
 * (c) Copyright 2004 Frank Yeah (pwipwi@ms66.hinet.net)
 *
 * To anyone who acknowledges that this file is provided "AS IS"
 * without any express or implied warranty:
 *     permission to use, copy, modify, and distribute this file
 * for any purpose is hereby granted without fee, provided that
 * the above copyright notice and this notice appears in all
 * copies. Frank Yeah makes no representations about the suitability
 * of this software for any purpose.
 */

//---------------------------------------------------------------------------


#pragma hdrstop

#include "calculator.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

//---------------------------------------------------------------------------
unsigned char Token::getICP(char c_data) const
{
switch(c_data)
    {
    case '(':case '^':return 5;
    case '+':case '-':return 2;
    case '*':case '/':return 3;
    default:return 0;
    }
}
//---------------------------------------------------------------------------
unsigned char Token::getISP(char c_data) const
{
switch(c_data)
    {
    case '(':return 1;
    case ')':case '^':return 4;
    case '+':case '-':return 2;
    case '*':case '/':return 3;
    default:return 0;
    }
}

